<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <artifactId>bpmc</artifactId>
        <groupId>com.rzdata</groupId>
        <version>1.0.0-SNAPSHOT</version>
    </parent>
    <artifactId>ebpm-process-code</artifactId>
    <name>ebpm-process-code</name>
    <version>${bpmc.code}</version>
    <dependencies>
    	<!-- 引擎相关 start-->
         <dependency>
            <groupId>bpmc-engine</groupId>
            <artifactId>bpmc-engine</artifactId>
            <version>${bpmc.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/bpmc-engine-5.16.4.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>bpmc-bpmn-converter</groupId>
            <artifactId>bpmc-bpmn-converter</artifactId>
            <version>${bpmc.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/bpmc-bpmn-converter-${bpmc.version}.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>bpmc-bpmn-layout</groupId>
            <artifactId>bpmc-bpmn-layout</artifactId>
            <version>${bpmc.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/bpmc-bpmn-layout-${bpmc.version}.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>bpmc-bpmn-model</groupId>
            <artifactId>bpmc-bpmn-model</artifactId>
            <version>${bpmc.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/bpmc-bpmn-model-${bpmc.version}.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>bpmc-json-converter</groupId>
            <artifactId>bpmc-json-converter</artifactId>
            <version>${bpmc.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/bpmc-json-converter-${bpmc.version}.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>bpmc-process-validation</groupId>
            <artifactId>bpmc-process-validation</artifactId>
            <version>${bpmc.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/bpmc-process-validation-${bpmc.version}.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>bpmc-image-generator</groupId>
            <artifactId>bpmc-image-generator</artifactId>
            <version>${bpmc.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/bpmc-image-generator-${bpmc.version}.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>bpmc-spring</groupId>
            <artifactId>bpmc-spring</artifactId>
            <version>${bpmc.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/bpmc-spring-${bpmc.version}.jar</systemPath>
        </dependency>
         <dependency>
            <groupId>bpmc-process-code-ext</groupId>
            <artifactId>bpmc-process-code-ext</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/bpmc-process-code-ext-1.0.jar</systemPath>
        </dependency>
         <dependency>
            <groupId>unitework-common</groupId>
            <artifactId>unitework-common</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/unitework-common-1.0.jar</systemPath>
        </dependency>
       <dependency>
            <groupId>bpmc-common</groupId>
            <artifactId>bpmc-common</artifactId>
            <version>1.0</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/bpmc-common-1.0.jar</systemPath>
        </dependency>
        <!-- 引擎相关 end-->
        <!-- 中台依赖 -->
        <dependency>
            <groupId>bpmc-messagecenter</groupId>
            <artifactId>bpmc-messagecenter</artifactId>
            <version>1.1</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/message-center-1.1.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.alibaba.bizworks</groupId>
            <artifactId>core-common</artifactId>
            <version>0.6.14</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/lib/bizworks-core-common-0.6.14.jar</systemPath>
        </dependency>
    	<!--spring 依赖 start -->
    	<dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-web</artifactId>
            <version>4.0.6.RELEASE</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-webmvc</artifactId>
            <version>4.0.6.RELEASE</version>
            <scope>provided</scope>
        </dependency>
         <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-jdbc</artifactId>
            <version>4.0.6.RELEASE</version>
            <scope>provided</scope>
        </dependency>
        <!--spring 依赖 end -->
        <!-- redis连接池依赖 -->
        <dependency>
            <groupId>org.springframework.data</groupId>
            <artifactId>spring-data-redis</artifactId>
            <version>${springDataRedis-verson}</version>
             <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>redis.clients</groupId>
            <artifactId>jedis</artifactId>
            <version>${jedis-verson}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-pool2</artifactId>
        </dependency>
        <!-- mybatis 数据持久化框架 -->
        <dependency>
			<groupId>org.mybatis.spring.boot</groupId>
			<artifactId>mybatis-spring-boot-starter</artifactId>
			<version>1.3.0</version>
			<scope>provided</scope>
		</dependency>
        <!-- commons管理 start -->
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
            <version>${commons-lang3.version}</version>
        </dependency>
        <dependency>
            <groupId>commons-lang</groupId>
            <artifactId>commons-lang</artifactId>
            <version>${commons-lang.version}</version>
        </dependency>
        <dependency>
            <groupId>commons-fileupload</groupId>
            <artifactId>commons-fileupload</artifactId>
            <version>${commons-fileupload.version}</version>
        </dependency>
        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
            <version>${commons-io.version}</version>
        </dependency>
        <dependency>
            <groupId>commons-beanutils</groupId>
            <artifactId>commons-beanutils</artifactId>
            <version>${commons-beanutils.version}</version>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.hibernate.validator</groupId>
            <artifactId>hibernate-validator</artifactId>
            <version>${hibernate-validator.version}</version>
            <scope>compile</scope>
        </dependency>
        <!-- commons管理 end -->
        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpclient</artifactId>
        </dependency>
        <dependency>
            <groupId>com.google.guava</groupId>
            <artifactId>guava</artifactId>
            <version>${guava.version}</version>
        </dependency>
        <dependency>
            <groupId>com.thoughtworks.xstream</groupId>
            <artifactId>xstream</artifactId>
            <version>${xstream.version}</version>
        </dependency>
        <dependency>
            <groupId>javax</groupId>
            <artifactId>javaee-api</artifactId>
            <version>${javaee-api.version}</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.codehaus.groovy</groupId>
            <artifactId>groovy</artifactId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.uuid</groupId>
            <artifactId>java-uuid-generator</artifactId>
            <version>${java-uuid-generator.version}</version>
        </dependency>
        <dependency>
            <groupId>joda-time</groupId>
            <artifactId>joda-time</artifactId>
            <version>${joda-time.version}</version>
        </dependency>
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
            <version>${hutool.version}</version>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-annotations</artifactId>
            <version>${jackson.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-core</artifactId>
            <version>${jackson.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-databind</artifactId>
            <version>${jackson.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.squareup.okhttp3</groupId>
            <artifactId>okhttp</artifactId>
            <version>${okhttp.version}</version>
        </dependency>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>${junit.version}</version>
        </dependency>
        <dependency>
			<groupId>dom4j</groupId>
			<artifactId>dom4j</artifactId>
			<version>1.6.1</version>
		</dependency>
		<dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-log4j12</artifactId>
            <version>1.7.2</version>
            <scope>provided</scope>
        </dependency>
        <!-- mysql -->
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <version>${mysql.version}</version>
        </dependency>
    </dependencies>
    <build>
        <finalName>bpmc-code</finalName>
        <resources>
            <resource>
                <targetPath>${project.build.directory}/classes</targetPath>
                <directory>src/main/java</directory>
                <filtering>true</filtering>
                <includes>
                    <include>**/*.xml</include>
                </includes>
            </resource>
            <resource>
                <targetPath>${project.build.directory}/classes</targetPath>
                <directory>src/main/resources</directory>
                <filtering>false</filtering>
                <includes>
                    <include>**/*.xml</include>
                </includes>
            </resource>
            <resource>
                <directory>src/main/resources</directory>
                <includes>
                    <include>**/*.*</include>
                </includes>
                <filtering>false</filtering>
            </resource>
        </resources>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>3.0.0-M5</version>
            </plugin>
            <plugin>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                    <encoding>UTF-8</encoding>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>
